﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace FM6000_Listview {
    /// <summary>
    /// Interaction logic for FOwnerDefined.xaml
    /// </summary>
    public partial class FOwnerDefinedMask : Window {
        private bool retcode = false;

        public bool Retcode {
            get { return retcode; }
        }

        public FOwnerDefinedMask(Window parent, String title, String caption, String itemcaption) {
            InitializeComponent();
            this.Title = title;
            labelTitel.Content = caption;
            labelItem.Content = itemcaption;
            this.Owner = parent;  // Important, because CenterOwner   
            this.WindowStartupLocation = WindowStartupLocation.CenterOwner;
        }

        private void Window_Loaded(object sender, RoutedEventArgs e) {
            tInput.SelectAll();
            tInput.Focus();
        }

        private void bnOk_Click(object sender, RoutedEventArgs e) {
            if (tInput.Text.Trim().Length > 0) {
                retcode = true;
                Close();
            }
            else {
                Basis.ErrorMsg("Bitte geben Sie eine Maske ein", "Hinweis");
            }
        }

        private void bnEsc_Click(object sender, RoutedEventArgs e) {
            Close();
        }

        private void Window_KeyDown(object sender, KeyEventArgs e) {
            if (Keyboard.IsKeyDown(Key.Return)) {
                bnOk_Click(sender, e);
            }
            if (Keyboard.IsKeyDown(Key.Escape)) {
                bnEsc_Click(sender, e);
            }
        }

        private void rbAll_Click(object sender, RoutedEventArgs e) {
            tInput.Text = "*.*";
        }

        private void rbDOCXLS_Click(object sender, RoutedEventArgs e) {
            tInput.Text = "*.doc*;*.xls*";
        }

        private void rbPPT_Click(object sender, RoutedEventArgs e) {
            tInput.Text = "*.ppt*";
        }

        private void rbTxt_Click(object sender, RoutedEventArgs e) {
            tInput.Text = "*.txt";
        }
        private void rbJava_Click(object sender, RoutedEventArgs e) {
            tInput.Text = "*.java";
        }


    }
}
