﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using System.Windows.Input;

namespace FM6000_Listview {
    public class MyCommandsListView {

        private  RoutedUICommand copy;
        private  RoutedUICommand paste;
        private  RoutedUICommand cut;
        private  RoutedUICommand delete;

        private  RoutedUICommand loadAgain;

        private  RoutedUICommand showAllFile;



        private  RoutedUICommand renameF2;
        private  RoutedUICommand copyF8;

        private  RoutedUICommand goToTopFolder;
        private  RoutedUICommand goToRoot;



       public  MyCommandsListView() {



            loadAgain = new RoutedUICommand("Neu _Einlesen", "loadAgain", typeof(MyCommands));
            loadAgain.InputGestures.Add(new KeyGesture(Key.F5, ModifierKeys.None));



            copy = new RoutedUICommand("Kopieren", "Copy", typeof(MyCommands));
            copy.InputGestures.Add(new KeyGesture(Key.C, ModifierKeys.Control));

            paste = new RoutedUICommand("Einfügen", "Paste", typeof(MyCommands));
            paste.InputGestures.Add(new KeyGesture(Key.V, ModifierKeys.Control));

            cut = new RoutedUICommand("Ausschneiden", "Cut", typeof(MyCommands));
            cut.InputGestures.Add(new KeyGesture(Key.X, ModifierKeys.Control));


            delete = new RoutedUICommand("Löschen", "delete", typeof(MyCommands));


            copyF8 = new RoutedUICommand("Kopieren", "Copy", typeof(MyCommands));
            copyF8.InputGestures.Add(new KeyGesture(Key.F8, ModifierKeys.None));

            renameF2 = new RoutedUICommand("Datei umbenennen", "renameF2", typeof(MyCommands));
            renameF2.InputGestures.Add(new KeyGesture(Key.F2, ModifierKeys.None));

            showAllFile = new RoutedUICommand("*.*", "showAllFile", typeof(MyCommands));
            


            goToTopFolder = new RoutedUICommand("Sprung zum oberen Verzeichnis", "goToTopFolder", typeof(MyCommands));

            goToRoot = new RoutedUICommand("Sprung zum Root", "goToRoot", typeof(MyCommands));


        }


        public  RoutedUICommand LoadAgain {
            get { return loadAgain; }
        }


        public  RoutedUICommand Copy {
            get { return copy; }
        }
        public  RoutedUICommand Paste {
            get { return paste; }
        }
        public  RoutedUICommand Cut {
            get { return cut; }
        }


        public  RoutedUICommand Delete {
            get { return delete; }
        }

        public  RoutedUICommand CopyF8 {
            get { return copyF8; }
        }
        public  RoutedUICommand RenameF2 {
            get { return renameF2; }
        }



        public  RoutedUICommand ShowAllFile {
            get { return showAllFile; }
        }

        




        public  RoutedUICommand GoToTopFolder {
            get { return goToTopFolder; }
        }
        public  RoutedUICommand GoToRoot {
            get { return goToRoot; }
        }


    }
}
